using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using ABC.File;

namespace ABC.KetNoi
{
    
    public partial class Doipass_Form : DevExpress.XtraEditors.XtraUserControl {
      
        Class_KetNoi db = new Class_KetNoi();
        public Doipass_Form()
        {           

            InitializeComponent();           
           
            this.Text = Get_CauHinh.Dt_DAT.Rows[0]["Name_Soft"].ToString();
           
            simpleButton1.Click += new EventHandler(simpleButton1_Click);
        }

        void simpleButton1_Click(object sender, EventArgs e)
        {

            if (T_IO.mahoachuoi(txtmatkhau.Text) == Get_CauHinh.Dt_Login.Rows[0]["_Text9"].ToString())
            {
                if (txtmatkhaumoi.Text == txtxatnhat.Text)
                {
                    string sql2 = "UPDATE Tbl_NhanVien SET _Text9 = N'" + T_IO.mahoachuoi(txtmatkhaumoi.Text) + "' WHERE ID = '" + Get_CauHinh.Dt_Login.Rows[0]["ID"].ToString().ToUpper() + "'";
                    db.T_exc(sql2);
                    string sql = "sp_NhanVien_TheoID '" + Get_CauHinh.Dt_Login.Rows[0]["ID"].ToString().ToUpper() + "'";
                    Get_CauHinh.Dt_Login = db.T_opendataset(sql).Tables[0];
                    msgbox.dialog_OK_info("Thay Mật khẩu mới thành công.");
                }
                else
                {
                    msgbox.dialog_OK_error("Mật khẩu mới không khớp.");
                }
            }
            else
            {
                msgbox.dialog_OK_error("Mật khẩu hiện tại không đúng.");
            }



            //----------------
           
         
            
                    
        }


       

        private void Login_Form_Load(object sender, EventArgs e)
        {
            txtuser.Text = Get_CauHinh.Dt_Login.Rows[0]["_Text8"].ToString();
        }

        private void labelControl1_Click(object sender, EventArgs e)
        {

        }

        private void txtuser_EditValueChanged(object sender, EventArgs e)
        {

        }
    }
}
